Bug Hunting Session
Bug 94171 - Make navigation arrows in Calc visible only when they are needed and place them on the right
Summary: Make navigation arrows in Calc visible only when they are needed and place th...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.0.1 rc
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: RTL-CTL Sheet-Tabs-Bar
  Show dependency treegraph
 
Reported: 2015-09-12 21:01 UTC by Yan Pas
Modified: 2018-09-17 17:32 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (34.12 KB, image/png)
2015-09-12 21:01 UTC, Yan Pas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yan Pas 2015-09-12 21:01:26 UTC
Created attachment 118649 [details]
screenshot

I suggest to move sheet navigation arrows to the right and make them visible only when they are needed.
For about half year ago I've filed a bug #91514 which was not a bug. Today was using Google sheets and decided to file this enchancement for two reaseons:
1) Most important - current layout is unintuitive
2) It saves a bit of free space 
The screenshot shows that these arrows are on the right. And gradient shadow from the left of these arrows would be useful, it would show that there are some tabs, currently invisible on the panel

PS Google's Office is very user-friendly, there are a lot of ideas to make usage easier, for example creating your own cell format is implemented briliantly.
Comment 1 Buovjaga 2015-09-18 16:26:30 UTC
This question is simply made for UX.
Comment 2 V Stuart Foote 2015-09-18 17:49:26 UTC
Effectively same issues as bug 93318 resolving duplicate.

*** This bug has been marked as a duplicate of bug 93318 ***
Comment 3 Tomaz Vajngerl 2015-10-14 21:30:07 UTC
Moving "arrow" buttons to the right would not be good as they would be really far away because the scrollbars are in its own row (by default). I'm implementing your other suggestions - hiding the buttons when they are not needed and gradient shadow or something similar (not sure yet what is possible).
Comment 4 Tomaz Vajngerl 2015-10-17 08:59:32 UTC
We closed the "parent" bug - but this one has more valid suggestions.
Comment 5 Yousuf Philips (jay) (retired) 2015-10-17 12:02:58 UTC
If hiding and showing the arrows is to be implemented, it would only be good when the buttons were on the right, as the sheets tabs would be shifted to the right, if the buttons would appear on the left.
Comment 6 tommy27 2015-10-17 15:14:47 UTC
those 4 buttons are small, so having them on the left would only cause a small shift to the right of the sheet tabs. It would not disturb me at all.
Comment 7 tommy27 2015-10-17 15:25:31 UTC
but if you guys prefer having them on the right also consider implementing an option to let the user decide where he wanna put those buttons.

such an option would please anyone and avoid rants from left-lovers and right-lovers
Comment 8 tommy27 2015-10-18 06:34:57 UTC
@Tomaz

one thing I've noticed retesting with older version is that until LibO 4.1.5 those navigation buttons were greyed (inactive) when there were no tabs to scroll and turned black (active) as soon the tabs sheet were too much and scroling became necessary.

then from LibO 4.2.0 those buttons always became black regardless of the sheet number state creating confusion among users... many thought the buttons were always active and did not understand why clicking them was ineffective
Comment 9 Tomaz Vajngerl 2015-10-18 07:34:03 UTC
I know - it was turned off in [1] because if they are greyed you can't access the right click pop-up sheet menu. I turned greying back on in the patch when I put back first/last buttons but I guess the sheet pop-up menu needs a dedicated button too - like in Google Docs.


[1] http://cgit.freedesktop.org/libreoffice/core/commit/sc/source/ui/view/tabcont.cxx?id=f4bfce94abc10fbd2d8b37113e27b36c1e79fc61
Comment 10 Heiko Tietze 2015-10-18 08:54:19 UTC
(In reply to tommy27 from comment #7)
> but if you guys prefer having them on the right also consider implementing
> an option to let the user decide where he wanna put those buttons.
> 
> such an option would please anyone and avoid rants from left-lovers and
> right-lovers

BTW: Take care about LTR vs. RTL systems.
Comment 11 tommy27 2015-10-19 00:49:57 UTC
good point Heiko.
this is another aspect in favour of customizable position of such buttons
Comment 12 Tomaz Vajngerl 2015-10-19 07:58:38 UTC
I'm checking the RTL tab bar UI regularly.

to(In reply to tommy27 from comment #11)
> this is another aspect in favour of customizable position of such buttons

RTL is already implemented, tab bar drawing is just mirrored.
Comment 13 Robinson Tryon (qubit) 2016-08-25 05:49:24 UTC Comment hidden (obsolete)
Comment 14 Lior Kaplan 2018-09-17 17:32:04 UTC
Works OK with RTL interface. Looks OK.